##
##  dpkg.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_tarball   1.19.7
%define       V_subdir    1.19.7

#   package information
Name:         dpkg
Summary:      Debian Package Management Toolchain
URL:          http://packages.debian.org/dpkg
Vendor:       Ian Jackson et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Archiver
License:      GPL
Version:      %{V_tarball}
Release:      20190604

#   list of sources
Source0:      http://ftp.debian.org/debian/pool/main/d/dpkg/dpkg_%{version}.tar.xz
Patch0:       dpkg.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes, perl, tar, patch
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  gettext, libiconv, bzip2, zlib
PreReq:       gettext, libiconv, bzip2, zlib

%description
    dpkg is the heart of the Debian GNU/Linux package management
    toolchain. It is the package format technology underlying APT and
    other higher-level package management tools.

%track
    prog dpkg = {
        version   = %{version}
        url       = http://ftp.debian.org/debian/pool/main/d/dpkg/
        regex     = dpkg_(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n dpkg-%{V_subdir}
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags} -I`pwd`" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-lintl -liconv" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --with-libiconv-prefix=%{l_prefix} \
        --with-libintl-prefix=%{l_prefix} \
        --enable-dselect \
        --disable-start-stop-daemon \
        --with-admindir=%{l_prefix}/var/dpkg \
        --with-libz \
        --with-libbz2 \
        --without-liblzma \
        --without-libselinux
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/locale
    for bin in 822-date cleanup-info install-info update-alternatives; do
        if [ -f $RPM_BUILD_ROOT%{l_prefix}/bin/$bin ]; then
            mv  $RPM_BUILD_ROOT%{l_prefix}/bin/$bin \
                $RPM_BUILD_ROOT%{l_prefix}/bin/dpkg-$bin
        elif [ -f $RPM_BUILD_ROOT%{l_prefix}/sbin/$bin ]; then
            mv  $RPM_BUILD_ROOT%{l_prefix}/sbin/$bin \
                $RPM_BUILD_ROOT%{l_prefix}/sbin/dpkg-$bin
        fi
    done
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

